import { ElementRef, EventEmitter, OnDestroy, AfterViewInit, ChangeDetectorRef } from '@angular/core';
import 'jquery-datetimepicker';
import { NgForm, NgModel } from '@angular/forms';
export declare class DatePickerControlComponent implements OnDestroy, AfterViewInit {
    private ref;
    private isMobile;
    private initialized;
    private pDate;
    pMinDate: any;
    pMaxDate: any;
    name: string;
    form: NgForm;
    type: 'datetime' | 'date' | 'time';
    disabled: boolean;
    required: boolean;
    label: string;
    set minDate(date: string | Date | number);
    set maxDate(date: string | Date | number);
    validator: (value: any) => string | Promise<string>;
    change: EventEmitter<any>;
    sdChange: EventEmitter<any>;
    date: string;
    set model(val: any);
    modelChange: EventEmitter<any>;
    control: ElementRef;
    formModel: NgModel;
    constructor(ref: ChangeDetectorRef);
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    onFocus: () => void;
    private onChanges;
    private setOption;
    private parse;
    private equal;
}
